/*
Theme Name: WPFegyvertár Hello Child Theme
Theme URI: https://github.com/elementor/hello-theme/
Description: WPFegyvertár Hello Child Theme is a child theme of Hello Elementor, created by WPkurzus
Author: WPViking
Author URI: https://wpkurzus.hu/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/* ----------------- DESIGN ----------------- */
/* Selection */
::-moz-selection {
	color: #fff;
	background: var( --e-global-color-primary )
}

::selection {
	color: #fff;
	background: var( --e-global-color-primary )
}


/* Mark */
mark {
    background: var( --e-global-color-primary )
    color: #fff;
    font-weight: 700;
}



/* ----------------- BLOG ----------------- */

/* Bejegyzés kivonatok után 3 pont*/
.elementor-posts .elementor-post__excerpt p:after {
content: "..." !important;
}
.woocommerce-variation-price .price {
    color: #011111 !important; /* Ár színe (piros) */
    font-size: 22px !important; /* Betűméret */
    font-weight: bold !important; /* Félkövér */
}
/* Készleten lévő termék színének módosítása */
.woocommerce-variation-availability .stock.in-stock {
    color: #934292 !important; /* Zöld szín */
    font-size: 16px !important; /* Nagyobb méret */
}

/*talán ez az üzlet értesítés*/
.demo_store {
  background-color: #934292;
  color: #ffffff;
  font-weight: bold;
  text-align: center;
  padding: 10px;
}
/* back in stock Gomb stílusa */
#wc_bis_send_form {
    background-color: transparent; /* Áttetsző háttér */
    color: #934292; /* Lila szöveg */
    border: 2px solid #934292; /* Lila keret */
    padding: 8px 16px; /* A gomb belső margója */
    font-size: 10px; /* Betűméret */
    border-radius:60px; /* Lekerekített sarkok */
    cursor: pointer; /* Kéz ikont mutat */
    transition: all 0.3s ease; /* Zökkenőmentes animáció a hover hatásra */
}
/* Hover (rámutatás) állapot */
#wc_bis_send_form:hover {
    background-color: #934292; /* Lila háttér, amikor fölé viszik az egeret */
    color: white; /* Fehér szöveg, amikor fölé viszik az egeret */
}
/* Fókuszáláskor */
#wc_bis_send_form:focus {
    outline: none; /* Eltávolítja a fókusz keretet */
    box-shadow: 0 0 5px rgba(108, 46, 185, 0.5); /* Lila árnyék fókuszáláskor */
}
/* back in stock Email input mező stílusa */
#wc_bis_email {
    padding: 60px 40px 60px 40px; /* A mező belső margója (több tér a szöveg körül) */
    font-size: 14px; /* Betűméret */
    border: 2px solid #934292; /* Lila szegély */
	
    border-radius: 160px; /* Lekerekített sarkok */
    width: 50%; /* 100%-os szélesség (kitölti a rendelkezésre álló helyet) */
    box-sizing: border-box; /* A padding és border is beleszámít a teljes szélességbe */
    margin-bottom: 10px; /* Távolság az alatta lévő elemtől (gomb, stb.) */
    background-color: #f9f9f9; /* Világos háttérszín */
    color: #333; /* Szöveg színe */
}
#wc_bis_email:focus {
    border: 2px solid #000;  /* Fekete szegély */
    background-color: #fff;   /* Fehér háttér (opcionális) */
    color: #000;              /* Fekete szöveg (opcionális) */
}
/* A szöveg formázása a wc_bis_form_title osztály (back in stock) számára */
.wc_bis_form_title {
    font-size: 14px; /* Kisebb betűméret */
    font-weight: bold; /* Vastag betűk */
    font-style: italic; /* Dőlt betűk */
    color: #010101; /* Szöveg színe (sötétszürke) */
}
